org.eclipse.ease.lang.javascript.rhino

## Class BundleProxyClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - org.eclipse.ease.lang.javascript.rhino.BundleProxyClassLoader

Direct Known Subclasses:
  RhinoClassLoader

    public class BundleProxyClassLoader
    extends ClassLoader

### Constructor Summary

Constructors
Constructor and Description
`BundleProxyClassLoader(org.osgi.framework.Bundle bundle)`
`BundleProxyClassLoader(org.osgi.framework.Bundle bundle, ClassLoader parent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class` `findClass(String name)`
`URL` `findResource(String name)`
`Enumeration` `findResources(String name)`
`URL` `getResource(String name)`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, getParent, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundleProxyClassLoader

    public BundleProxyClassLoader(org.osgi.framework.Bundle bundle)

#### BundleProxyClassLoader

    public BundleProxyClassLoader(org.osgi.framework.Bundle bundle,
                                  ClassLoader parent)

### Method Detail

#### findResources

    public Enumeration findResources(String name)
                              throws IOException

Overrides:
  `findResources` in class `ClassLoader`
Throws:
  `IOException`

#### findResource

    public URL findResource(String name)

Overrides:
  `findResource` in class `ClassLoader`

#### findClass

    public Class findClass(String name)
                    throws ClassNotFoundException

Overrides:
  `findClass` in class `ClassLoader`
Throws:
  `ClassNotFoundException`

#### getResource

    public URL getResource(String name)

Overrides:
  `getResource` in class `ClassLoader`